Issue 124823 - layout differs in AOO 4.1.0 vs 4.0.1 (and previous)
Summary: layout differs in AOO 4.1.0 vs 4.0.1 (and previous)
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: 4.1.0
Hardware: Mac Mac OS X, all
: P3 Normal (vote)
Target Milestone: 4.1.1
Assignee: hdu@apache.org
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 124985
  Show dependency tree
 
Reported: 2014-05-05 16:51 UTC by Ulysse31
Modified: 2017-05-20 10:35 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
jsc: 4.1.1_release_blocker+


Attachments
Old document created with previous AOO version (11.76 KB, application/vnd.oasis.opendocument.text)
2014-05-05 19:05 UTC, Ulysse31
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ulysse31 2014-05-05 16:51:11 UTC
When using AOO 4.1.0 on a Mac running OS 10.9.2, layout is different (on a text only document) from what it is on AOO 4.0.1 : each page contains one more line.
Release notes explain there were changes in ODF import/export for Comments/Annotations on text ranges : is this a consequence ?
When opening a document created with AOO 4.1.0 on a Mac running 10.6.8 with A00 4.0.1, same layout problem (one line differs).
Comment 1 Edwin Sharp 2014-05-05 18:53:03 UTC
Please attach example.
Comment 2 Ulysse31 2014-05-05 19:05:10 UTC
Created attachment 83338 [details]
Old document created with previous AOO version

With AOO 4.0.1, four times same poem in two columns.
With AOO 4.1.0, four times same poem but one title is switching from column 2 to column 1.
Comment 3 Edwin Sharp 2014-05-05 19:11:36 UTC
Thank you.
AOO 4.1 Debian layout = AOO 4.0.1 Mac layout

AOO410m18(Build:9764)  -  Rev. 1589052
2014-04-22 12:11 - Linux x86_64
Comment 4 SVN Robot 2014-05-06 09:10:49 UTC
"hdu" committed SVN revision 1592692 into trunk:
#i124823# fix the calculation of leading metrics for CoreText
Comment 5 hdu@apache.org 2014-05-06 09:14:45 UTC
Fixed with the commit above. Its unfortunate that the problem with the "leading" metrics was only found now. Fortunately these values are often quite small relative to the line height.
Comment 6 jsc 2014-06-12 13:27:07 UTC
grant showstopper flag for AOO 4.1.1
Comment 7 SVN Robot 2014-06-13 10:04:54 UTC
"hdu" committed SVN revision 1602358 into branches/AOO410:
#i124823# fix the calculation of leading metrics for CoreText
Comment 8 hdu@apache.org 2014-06-13 10:05:48 UTC
The fix has been merged for the AOO 4.1.1 target.
Comment 9 fanyuzhen 2014-07-09 09:06:30 UTC
It's verified fixed in build AOO411m2(Build:9771)  -  Rev. 1608452
2014-07-07 15:29:02 (Mon, 07 Jul 2014)on Mac OSX 10.9.3